package com.zd.laboratory.domain.bigview;

import com.zd.common.core.echarts.EchartsData;
import com.zd.common.core.enums.HardwareOperate;
import com.zd.common.core.enums.HardwareTypeEnum;

/**
 * 设备状态
 *
 * @Author: zhoupan
 * @Date: 2021/09/13/10:55
 * @Description:
 */
public class HardwareState implements EchartsData<Long> {

    /**
     * 设备状态
     */
    HardwareOperate hardwareOperate;

    /**
     * 设备类型
     */
    HardwareTypeEnum hardwareType;

    /**
     * 总量
     */
    Long total;

    @Override
    public String axisData() {
        return hardwareOperate.getName();
    }

    @Override
    public String legendData() {
        return hardwareType.getName();
    }

    @Override
    public Long dataValue() {
        return total;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public HardwareOperate getHardwareOperate() {
        return hardwareOperate;
    }

    public void setHardwareOperate(HardwareOperate hardwareOperate) {
        this.hardwareOperate = hardwareOperate;
    }

    public HardwareTypeEnum getHardwareType() {
        return hardwareType;
    }

    public void setHardwareType(HardwareTypeEnum hardwareType) {
        this.hardwareType = hardwareType;
    }
}
